# onyx_protocol – Enables/Disables protocols on Mellanox ONYX network devices

New in version 2.5.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides a mechanism for enabling and disabling protocols Mellanox on ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

bgp
-

Choices:
- enabled
- disabled

BGP protocol

dcb_pfc
-

Choices:
- enabled
- disabled

DCB priority flow control

igmp_snooping
-

Choices:
- enabled
- disabled

IP IGMP snooping

ip_l3
-

Choices:
- enabled
- disabled

IP L3 support

ip_routing
-

Choices:
- enabled
- disabled

IP routing support

lacp
-

Choices:
- enabled
- disabled

LACP protocol

lldp
-

Choices:
- enabled
- disabled

LLDP protocol

magp
-

Choices:
- enabled
- disabled

MAGP protocol

mlag
-

Choices:
- enabled
- disabled

MLAG protocol

nve
-
added in 2.9

Choices:
- enabled
- disabled

nve protocol

ospf
-

Choices:
- enabled
- disabled

OSPF protocol

spanning_tree
-

Choices:
- enabled
- disabled

Spanning Tree support

## Notes

Note

- Tested on ONYX 3.6.4000

## Examples

    - name: enable protocols for MLAG
      onyx_protocol:
        lacp: enabled
        spanning_tree: disabled
        ip_routing: enabled
        mlag: enabled
        dcb_pfc: enabled

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['no spanning-tree', 'protocol mlag']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.